| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
unz64_internal Struct Reference
Collaboration diagram for unz64_internal:
[legend]

## Public Attributes
zlib_filefunc64_32_def | z_filefunc
voidpf | filestream
voidpf | filestream_with_CD
unz_global_info64 | gi
uint64_t | byte_before_the_zipfile
uint64_t | num_file
uint64_t | pos_in_central_dir
uint64_t | current_file_ok
uint64_t | central_pos
uint32_t | number_disk
uint64_t | size_central_dir
uint64_t | offset_central_dir
unz_file_info64 | cur_file_info
unz_file_info64_internal | cur_file_info_internal
file_in_zip64_read_info_s * | pfile_in_zip_read
int | is_zip64
uint32_t | keys [3]
const z_crc_t * | pcrc_32_tab

## Member Data Documentation

## ◆ byte_before_the_zipfile

uint64_t unz64_internal::byte_before_the_zipfile

## ◆ central_pos

uint64_t unz64_internal::central_pos

## ◆ cur_file_info

unz_file_info64 unz64_internal::cur_file_info

## ◆ cur_file_info_internal

unz_file_info64_internal unz64_internal::cur_file_info_internal

## ◆ current_file_ok

uint64_t unz64_internal::current_file_ok

## ◆ filestream

voidpf unz64_internal::filestream

## ◆ filestream_with_CD

voidpf unz64_internal::filestream_with_CD

## ◆ gi

unz_global_info64 unz64_internal::gi

## ◆ is_zip64

int unz64_internal::is_zip64

## ◆ keys

uint32_t unz64_internal::keys[3]

## ◆ num_file

uint64_t unz64_internal::num_file

## ◆ number_disk

uint32_t unz64_internal::number_disk

## ◆ offset_central_dir

uint64_t unz64_internal::offset_central_dir

## ◆ pcrc_32_tab

const z_crc_t* unz64_internal::pcrc_32_tab

## ◆ pfile_in_zip_read

file_in_zip64_read_info_s* unz64_internal::pfile_in_zip_read

## ◆ pos_in_central_dir

uint64_t unz64_internal::pos_in_central_dir

## ◆ size_central_dir

uint64_t unz64_internal::size_central_dir

## ◆ z_filefunc

zlib_filefunc64_32_def unz64_internal::z_filefunc

The documentation for this struct was generated from the following file:

- Source/ARX/ARUtil/unzip.c